package store

import "gorm.io/gorm"

type Project struct {
	gorm.Model
	ProjectName string
	Token       string
	OwnerId     uint
	Owner       User `gorm:foreignkey:"user_id"`
}

func (project *Project) GetUser(db *gorm.DB) *User {
	var user User
	db.Where("id = ?", project.OwnerId).First(&user)
	return &user
}

func (project *Project) Delete(db *gorm.DB) {
	db.Where("id = ?", project.ID).Delete(&Project{})
}
